Open CASCADE Technology: StepFEA_Curve3dElementProperty Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
StepFEA_Curve3dElementProperty Class Reference

Representation of STEP entity Curve3dElementProperty. More...

`#include <StepFEA_Curve3dElementProperty.hxx>`

Inheritance diagram for StepFEA_Curve3dElementProperty:
[legend]

## Public Member Functions
| StepFEA_Curve3dElementProperty ()
| Empty constructor. More...
void | Init (const Handle< TCollection_HAsciiString > &aPropertyId, const Handle< TCollection_HAsciiString > &aDescription, const Handle< StepFEA_HArray1OfCurveElementInterval > &aIntervalDefinitions, const Handle< StepFEA_HArray1OfCurveElementEndOffset > &aEndOffsets, const Handle< StepFEA_HArray1OfCurveElementEndRelease > &aEndReleases)
| Initialize all fields (own and inherited) More...
Handle< TCollection_HAsciiString > | PropertyId () const
| Returns field PropertyId. More...
void | SetPropertyId (const Handle< TCollection_HAsciiString > &PropertyId)
| Set field PropertyId. More...
Handle< TCollection_HAsciiString > | Description () const
| Returns field Description. More...
void | SetDescription (const Handle< TCollection_HAsciiString > &Description)
| Set field Description. More...
Handle < StepFEA_HArray1OfCurveElementInterval > | IntervalDefinitions () const
| Returns field IntervalDefinitions. More...
void | SetIntervalDefinitions (const Handle< StepFEA_HArray1OfCurveElementInterval > &IntervalDefinitions)
| Set field IntervalDefinitions. More...
Handle < StepFEA_HArray1OfCurveElementEndOffset > | EndOffsets () const
| Returns field EndOffsets. More...
void | SetEndOffsets (const Handle< StepFEA_HArray1OfCurveElementEndOffset > &EndOffsets)
| Set field EndOffsets. More...
Handle < StepFEA_HArray1OfCurveElementEndRelease > | EndReleases () const
| Returns field EndReleases. More...
void | SetEndReleases (const Handle< StepFEA_HArray1OfCurveElementEndRelease > &EndReleases)
| Set field EndReleases. More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Detailed Description

Representation of STEP entity Curve3dElementProperty.

## Constructor & Destructor Documentation

StepFEA_Curve3dElementProperty::StepFEA_Curve3dElementProperty | ( |  | ) |

Empty constructor.

## Member Function Documentation

Handle< TCollection_HAsciiString > StepFEA_Curve3dElementProperty::Description | ( |  | ) | const

Returns field Description.

Handle< StepFEA_HArray1OfCurveElementEndOffset > StepFEA_Curve3dElementProperty::EndOffsets | ( |  | ) | const

Returns field EndOffsets.

Handle< StepFEA_HArray1OfCurveElementEndRelease > StepFEA_Curve3dElementProperty::EndReleases | ( |  | ) | const

Returns field EndReleases.

void StepFEA_Curve3dElementProperty::Init | ( | const Handle< TCollection_HAsciiString > & | aPropertyId,
|  | const Handle< TCollection_HAsciiString > & | aDescription,
|  | const Handle< StepFEA_HArray1OfCurveElementInterval > & | aIntervalDefinitions,
|  | const Handle< StepFEA_HArray1OfCurveElementEndOffset > & | aEndOffsets,
|  | const Handle< StepFEA_HArray1OfCurveElementEndRelease > & | aEndReleases
| ) |  |

Initialize all fields (own and inherited)

Handle< StepFEA_HArray1OfCurveElementInterval > StepFEA_Curve3dElementProperty::IntervalDefinitions | ( |  | ) | const

Returns field IntervalDefinitions.

Handle< TCollection_HAsciiString > StepFEA_Curve3dElementProperty::PropertyId | ( |  | ) | const

Returns field PropertyId.

void StepFEA_Curve3dElementProperty::SetDescription | ( | const Handle< TCollection_HAsciiString > & | Description | ) |

Set field Description.

void StepFEA_Curve3dElementProperty::SetEndOffsets | ( | const Handle< StepFEA_HArray1OfCurveElementEndOffset > & | EndOffsets | ) |

Set field EndOffsets.

void StepFEA_Curve3dElementProperty::SetEndReleases | ( | const Handle< StepFEA_HArray1OfCurveElementEndRelease > & | EndReleases | ) |

Set field EndReleases.

void StepFEA_Curve3dElementProperty::SetIntervalDefinitions | ( | const Handle< StepFEA_HArray1OfCurveElementInterval > & | IntervalDefinitions | ) |

Set field IntervalDefinitions.

void StepFEA_Curve3dElementProperty::SetPropertyId | ( | const Handle< TCollection_HAsciiString > & | PropertyId | ) |

Set field PropertyId.

The documentation for this class was generated from the following file:

- StepFEA_Curve3dElementProperty.hxx